KWIN_REFRESH_IF_VISIBLE(3)

EXPERIMENTAL_FUNC
kwin_refresh_if_visible - Refresh a pixel canvas if it is visible.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_refresh_if_visible

(KPixCanvas canvas, flag clear)

DESCRIPTION
Refresh a pixel canvas if it is visible.

canvas
    The pixel canvas.

clear
    If TRUE the canvas is cleared prior to refreshing.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/